System.ServiceModel 4.0.0.0 System.Object System.ServiceModel.Syndication.ISyndicationElement

objects can be added to the authors and contributors collections on and objects.

When serialized to Atom 1.0, the is written out as an <author> or <contributor> element.

When serialized to RSS 2.0, a instance is written out as a <managingEditor>, <a10:author>, or <a10:contributor> element. How a is serialized depends on the number of objects added to a or , which collection the instances are added to, and the value of the parameter to the constructor. If only one is added to the (or ) collection, the is serialized to a <managingEditor> element. If more than one is added to the (or ) collection and is set to true, all of the objects are serialized to <a10:author> elements. If is set to false, the instances is not serialized. Any instances added to the (or ) collection are only serialized if is set to true, in which case they are serialized to <a10:contributor> elements.

Represents an author or contributor of syndication content.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class with the specified instance.

  The instance to initialize the new instance.
- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance with the specified e-mail address.

  The e-mail address of the person.
- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance with the specified e-mail address, name, and Uniform Resource Identifier (URI).

  The e-mail address of the person.
  The name of the person.
  The URI of the person's Web page.
- Property
  4.0.0.0
  System.Collections.Generic.Dictionary<System.Xml.XmlQualifiedName,System.String> To be added.

  The Syndication object model allows you to add custom attributes to a instance. You can add any valid XML attribute/value.

  When serialized to Atom 1.0, any custom attribute/value is written as an attribute in the <author> or <contributor> elements. When serialized to RSS 2.0, any custom attribute/value is written as an attribute in the <managingEditor>, <a10:contributor>, or <a10:author> elements.

  Gets the attribute extensions for the .

- Method
  4.0.0.0
  System.ServiceModel.Syndication.SyndicationPerson To be added.

  Creates a copy of the existing instance.

  A new instance.

- Property
  4.0.0.0
  System.ServiceModel.Syndication.SyndicationElementExtensionCollection To be added.

  The Syndication object model allows you to add custom XML elements to a instance. You can add any valid XML element as long as the element namespace and the containing namespace are different.

  When serialized to Atom 1.0, any custom element is written as an XML element within an <author> or <contributor> element.

  When serialized to RSS 2.0, any custom element is written as an XML element within the <managingEditor>, <a10:contributor>, or <a10:author> elements.

  Gets the element extensions for the .

- Property
  4.0.0.0
  System.String To be added.

  When serialized to Atom 1.0, the property is written as an <email> element. The <email> element appears within an <author> or <contributor> element, which depends upon which collection (authors or contributors) the is added to.

  When serialized to RSS 2.0, this value is written as an <a10:email> element. The <a10:email> element appears within a <managingEditor>, <a10:author>, or <a10:contributor> element. If only one is added to the authors collection, the <email> element is written within the <managingEditor> element. If more than one is added to the authors collection, the <email> element is written within an <a10:author> element. If the is added to the contributors collection, the <email> element is written within an <a10:contributor> element.

  Gets and sets the e-mail address of the .

- Property
  4.0.0.0
  System.String To be added.

  When serialized to Atom 1.0, the property is written as a <name> element. The <name> element appears within an <author> or <contributor> element, which depends upon which collection (authors or contributors) the is added to.

  When serialized to RSS 2.0, the property is written as an <a10:name> element. The <a10:name> element appears within a <managingEditor>, <a10:author>, or <a10:contributor> element. If only one is added to the authors collection, the <a10:name> element is written within the <managingEditor> element. If more than one is added to the authors collection, the <a10:name> element is written within the <a10:author> element. If the is added to the contributors collection, the <a10:name> element is written within the <a10:contributor> element.

  Gets and sets the name of the .

- Method
  4.0.0.0
  System.Boolean `` `` `` ``

  Attribute extensions are custom attributes that are not defined by the Atom 1.0 or RSS 2.0 specifications. They are serialized as an attribute of the <author> or <contributor> element for Atom 1.0 or <managingEditor>, <a10:author>, or <a10:contributor> element for RSS 2.0. This method is an extension point that allows you to handle the deserialization of a custom attribute extension. To do this, you must derive a class from and override this method. This method is called for all unrecognized attribute extensions.

  Attempts to parse an attribute extension.

  A value that specifies whether the attribute extension was parsed successfully.

  The name of the element. The namespace of the element. The attribute to parse. The syndication version to use when parsing.
- Method
  4.0.0.0
  System.Boolean `` ``

  Element extensions are valid XML elements that are not specified in either the Atom 1.0 or RSS 2.0 specifications. You can add any valid XML element as an extension, provided its namespace is different from the enclosing namespace. This method is an extension point that allows you to handle the deserialization of a custom element extension. To do this, you must derive a class from and override this method. This method is called for all unrecognized element extensions.

  Attempts to parse an element extension.

  A value that specifies whether the element extension was parsed successfully.

  The to read from. The syndication version to use while parsing.
- Property
  4.0.0.0
  System.String To be added.

  When serialized to Atom 1.0, the property is written as a <uri> element. The <uri> element appears within an <author> or <contributor> element, which depends upon which collection (authors or contributors) the is added to.

  When serialized to RSS 2.0, the property is written as an <a10:uri> element. The <a10:uri> element appears within a <managingEditor>, <a10:author>, or <a10:contributor> element. If only one is added to the authors collection, the <a10:uri> element is written within the <managingEditor> element. If more than one is added to the authors collection, the <a10:uri> element is written within the <a10:author> element. If the is added to the contributors collection, the <a10:uri> element is written within the <a10:contributor> element.

  Gets and sets the URI of the .

- Method
  4.0.0.0
  System.Void `` ``

  Attribute extensions are custom attributes that are not defined by the Atom 1.0 or RSS 2.0 specifications. They are serialized as an attribute of the <author> or <contributor> element for Atom 1.0 or <managingEditor>, <a10:author>, or <a10:contributor> element for RSS 2.0. This method is an extension point that allows you to handle the serialization of custom attribute extensions. To do this, you must derive a class from and override this method. This method is called for all unrecognized attribute extensions.

  Writes the attribute extensions to the specified using the specified syndication version.

  The to write to. The syndication version to use while writing.
- Method
  4.0.0.0
  System.Void `` ``

  Element extensions are valid XML elements that are not specified in either the Atom 1.0 or RSS 2.0 specifications. You can add any valid XML element as an extension, provided its namespace is different from the enclosing namespace. This method is an extension point that allows you to handle the serialization of custom element extensions. To do this, you must derive a class from and override this method. This method is called for all unrecognized element extensions.

  Writes the element extensions to the specified using the specified syndication version.

  The to write to. The syndication version to use while writing.